#!/usr/bin/env python
#coding: utf-8

#from sqlalchemy import create_engine, Table, Column, Integer, Text, String, Boolean, DateTime, MetaData, ForeignKey, desc
from sqlalchemy import Column, Integer, String, Boolean
#from sqlalchemy.orm import sessionmaker, relation, backref
#from sqlalchemy.ext.declarative import declarative_base
#from datetime import datetime, timedelta
#from time import mktime
#import feedparser
#import re
#import sys
#import urllib
#import urllib2
#import hn
#import html2text
#import ConfigParser
#import pprint
#from optparse import OptionParser
#from cStringIO import StringIO
#from email.mime.multipart import MIMEMultipart
#from email.mime.text import MIMEText
#from email.header import Header
#from email import Charset
#from email.generator import Generator
#import smtplib

from models import Base

class Feed(Base):
    __tablename__ = 'feed'

    id = Column(Integer, primary_key=True)
    url = Column(String(255))
    frequency = Column(Integer)
    daily = Column(Boolean)
    resolveredirects = Column(Boolean)
    readability = Column(Boolean)
    fullpage = Column(Boolean)
    html2textsummary = Column(Boolean)
    html2textignoreimages = Column(Boolean)
    enabled = Column(Boolean)

    def __init__(self, url, daily, readability, fullpage, enabled, html2textsummary):
        self.url = url
        self.daily = daily
        self.readability = readability
        self.fullpage = fullpage
        self.html2textsummary = html2textsummary
        self.enabled = enabled

    def __repr__(self):
       return "<Feed('%s','%s','%s')>" % (self.url, self.daily, self.readability)
